> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/showlinerectangles.md).

# ShowLineRectangles

### Introduction

The ShowLineRectangles value controls whether dotted-line rectangles will be drawn around components. This value can help you debug where components are when they do not have visual elements, or to help you identify the clickable region when testing UI.

### FlatRedBall Editor Example

ShowLineRectangles can be set through the FlatRedBall Editor UI. To change this value in the editor:

1. Select the gum project file (usually GumProject.gumx in Global Content Files)
2. Click the **Gum Properties** tab
3. Check or uncheck **Show Dotted Outlines**

![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-0fc72d8ff334629239d8a43cfb9b736e70cfaddf%2F2022-01-img_61da76b50b642.png?alt=media)

### Code Example Setting ShowLineRectangles

This value is applied only when new GraphicalUiElements are created, so changing it will not have an immediate impact on existing GraphicalUiElements. If you would like to turn off line rectangles, set this value to false **before** GlobalContent.Initialize is called in your Game1.cs file. For example, your code might look like this:

```
        protected override void Initialize()
        {
            FlatRedBallServices.InitializeFlatRedBall(this, graphics);
            CameraSetup.SetupCamera(SpriteManager.Camera, graphics);

            // Set ShowLineRectangles to false...
            GraphicalUiElement.ShowLineRectangles = false;

            // ...before GlobalContent.Initialize
        GlobalContent.Initialize();

            ...
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/showlinerectangles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
